Dependency scanner

Hi,

Does anyone know when I get missing libraries when adding the dependency_scanner job (https://docs.gitlab.com/ee/ci/examples/dependency_scanning.html) to my pipeline. I thought this would just work out of the box with it being a standard gitlab job but I get the following in the console output…

Missing version for body-parser. Need to run npm install ?
Missing version for clarinet. Need to run npm install ?
Missing version for colors. Need to run npm install ?
Missing version for concurrently. Need to run npm install ?
Missing version for config. Need to run npm install ?
Missing version for cookie-parser. Need to run npm install ?
Missing version for cors. Need to run npm install ?
Missing version for dottie. Need to run npm install ?
Missing version for download. Need to run npm install ?
Missing version for epilogue-js. Need to run npm install ?
Missing version for errorhandler. Need to run npm install ?
Missing version for express. Need to run npm install ?
Missing version for express-jwt. Need to run npm install ?
Missing version for express-rate-limit. Need to run npm install ?
Missing version for express-robots-txt. Need to run npm install ?
Missing version for express-security.txt. Need to run npm install ?
Missing version for file-stream-rotator. Need to run npm install ?
Missing version for fs-extra. Need to run npm install ?
Missing version for glob. Need to run npm install ?
Missing version for grunt. Need to run npm install ?
Missing version for grunt-contrib-compress. Need to run npm install ?
Missing version for hashids. Need to run npm install ?
Missing version for helmet. Need to run npm install ?
Missing version for html-entities. Need to run npm install ?
Missing version for is-docker. Need to run npm install ?
Missing version for is-heroku. Need to run npm install ?
Missing version for jade. Need to run npm install ?
Missing version for js-yaml. Need to run npm install ?
Missing version for jsonwebtoken. Need to run npm install ?
Missing version for jssha. Need to run npm install ?
Missing version for libxmljs. Need to run npm install ?
Missing version for marsdb. Need to run npm install ?
Missing version for morgan. Need to run npm install ?
Missing version for multer. Need to run npm install ?
Missing version for notevil. Need to run npm install ?
Missing version for pdfkit. Need to run npm install ?
Missing version for replace. Need to run npm install ?
Missing version for request. Need to run npm install ?
Missing version for sanitize-html. Need to run npm install ?
Missing version for semver. Need to run npm install ?
Missing version for sequelize. Need to run npm install ?
Missing version for serve-index. Need to run npm install ?
Missing version for socket.io. Need to run npm install ?
Missing version for sqlite3. Need to run npm install ?
Missing version for swagger-ui-express. Need to run npm install ?
Missing version for unzipper. Need to run npm install ?
Missing version for z85. Need to run npm install ?

Obviously this docker image doesn’t have npm installed.

Thanks